Module org.hsqldb
Package org.hsqldb.lib.tar

## Class PIFData

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<java.lang.String,​java.lang.String>
    - - org.hsqldb.lib.tar.PIFData

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.lang.String>`

      public class PIFData
      extends java.util.HashMap<java.lang.String,​java.lang.String>

  Pax Interchange Format object constituted from an Input Stream.

  Right now, the only Pax property that we support directly is "size".

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PIFData​(java.io.InputStream stream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getSize()` | N.b.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PIFData

          public PIFData​(java.io.InputStream stream)
                  throws TarMalformatException,
                         java.io.IOException

      Throws:
        `TarMalformatException`
        `java.io.IOException`

  - ### Method Detail

    - #### getSize

          public java.lang.Long getSize()

      N.b. this is nothing to do with HashMap.size() or Map.size(). This returns the value of the Pax "size" property.
      Returns:
        Pax size